[Numpy-discussion] OSX installer: please test

Robert Kern robert.kern@gmail....
Wed Apr 23 14:24:01 CDT 2008


On Wed, Apr 23, 2008 at 9:51 AM, Robert Pyle <rpyle@post.harvard.edu> wrote:
> Here are some more complete tests on my assorted Macs.
>
>  Note that on the dual G5 tower, /usr/local/lib/libgfortran.2.dylib
>  seems to be missing, under both Tiger (10.4.11) and Leopard (10.5.2).
>  However, under both operating systems, /usr/local/gfortran/lib/
>  libgfortran.2.dylib exists, as does /usr/local/lib/libgfortran.3.dylib.
>
>  There is a soft link from /usr/local/lib/libgfortran.dylib to /usr/
>  local/lib/libgfortran.3.dylib .  Should numpy be looking for
>  libgfortran.dylib rather than libgfortran.2.dylib?  (I'm just
>  guessing; I have no idea why the file is needed.)

numpy doesn't. scipy does. Unfortunately, some code snuck in that
requires scipy. The code itself is optional, but the test suite loads
it to test. It will be removed.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
 -- Umberto Eco


More information about the Numpy-discussion mailing list